Package org.jboss.resteasy.statistics

## Class MethodStatisticsLoggerImpl

- java.lang.Object
- - org.jboss.resteasy.statistics.MethodStatisticsLoggerImpl

- All Implemented Interfaces:
    `MethodStatisticsLogger`

      public class MethodStatisticsLoggerImpl
      extends Object
      implements MethodStatisticsLogger

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MethodStatisticsLoggerImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `duration​(long fromTimestamp)` | Calculate lenght of time bewteen current time and provided time
    `long` | `getAvgExecutionTime()` |
    `long` | `getFailedInvocationCnt()` |
    `long` | `getInvocationCnt()` |
    `long` | `getTotalExecutionTime()` |
    `void` | `incFailureCnt()` | Count reported failure of method invocation
    `void` | `reset()` | Reinitialize statistics
    `long` | `timestamp()` | Retrieve current time

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MethodStatisticsLoggerImpl

          public MethodStatisticsLoggerImpl()

  - ### Method Detail

    - #### timestamp

          public long timestamp()

      Description copied from interface: `MethodStatisticsLogger`
      Retrieve current time
      Specified by:
        `timestamp` in interface `MethodStatisticsLogger`
      Returns:

    - #### duration

          public void duration​(long fromTimestamp)

      Description copied from interface: `MethodStatisticsLogger`
      Calculate lenght of time bewteen current time and provided time
      Specified by:
        `duration` in interface `MethodStatisticsLogger`

    - #### incFailureCnt

          public void incFailureCnt()

      Description copied from interface: `MethodStatisticsLogger`
      Count reported failure of method invocation
      Specified by:
        `incFailureCnt` in interface `MethodStatisticsLogger`

    - #### reset

          public void reset()

      Description copied from interface: `MethodStatisticsLogger`
      Reinitialize statistics
      Specified by:
        `reset` in interface `MethodStatisticsLogger`

    - #### getInvocationCnt

          public long getInvocationCnt()

      Specified by:
        `getInvocationCnt` in interface `MethodStatisticsLogger`

    - #### getFailedInvocationCnt

          public long getFailedInvocationCnt()

      Specified by:
        `getFailedInvocationCnt` in interface `MethodStatisticsLogger`

    - #### getAvgExecutionTime

          public long getAvgExecutionTime()

      Specified by:
        `getAvgExecutionTime` in interface `MethodStatisticsLogger`

    - #### getTotalExecutionTime

          public long getTotalExecutionTime()

      Specified by:
        `getTotalExecutionTime` in interface `MethodStatisticsLogger`